Subject: Re: SO_ERROR
From: [email-masked] ($Bill Luebkert)

24 Nov 1997 22:17:06 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: jman <[email-masked]>
Cc: [email-masked]

jman wrote:
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Is SO_ERROR not in gnu-win32?
> I'm trying to port/compile a program to Windows an get this error am
> I using the wrong includes?
> 
> `SO_ERROR' undeclared (first use this function)
> (Each undeclared identifier is reported only once
> for each function it appears in.)
> 
> The includes are
> #include <stdio.h>
> #include <errno.h>

I found it twice:

F:/gnuwin32/b18/H-i386-cygwin32/i386-cygwin32/include//mywinsock.h:
	#define SO_ERROR        0x1007          /* get error status and clear */

F:/gnuwin32/b18/H-i386-cygwin32/i386-cygwin32/include//Windows32/Sockets.h:
	#define SO_ERROR        0x1007          /* get error status and clear */

-- 
  ,-/-  __      _  _         $Bill Luebkert
 (_/   /  )    // //       DBE Collectibles
  / ) /--<  o // //      http://www.wgn.net/~dbe/
-/-' /___/_<_</_</_    Mailto:[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".